Next: MSP430 Syntax, Up: MSP430-Dependent

#### 9.29.1 Options

`-mmcu`
  selects the mpu arch. If the architecture is 430Xv2 then this also enables NOP generation unless the `-mN` is also specified.
`-mcpu`
  selects the cpu architecture. If the architecture is 430Xv2 then this also enables NOP generation unless the `-mN` is also specified.
`-mP`
  enables polymorph instructions handler.
`-mQ`
  enables relaxation at assembly time. DANGEROUS!
`-ml`
  indicates that the input uses the large code model.
`-mN`
  disables the generation of a NOP instruction following any instruction that might change the interrupts enabled/disabled state. For the 430Xv2 architecture the instructions: `EINT`, `DINT`, `BIC #8, SR`, `BIS #8, SR` and `MOV.W <>, SR` must be followed by a NOP instruction in order to ensure the correct processing of interrupts. By default generation of the NOP instruction happens automatically, but this command line option disables this behaviour. It is then up to the programmer to ensure that interrupts are enabled and disabled correctly.
`-md`
  mark the object file as one that requires data to copied from ROM to RAM at execution startup. Disabled by default.